# This is a sample Python script.

# Press ⌃R to execute it or replace it with your code.
# Press Double ⇧ to search everywhere for classes, files, tool windows, actions, and settings.

import numpy
import time
from flask import Flask

app = Flask(__name__)


@app.route("/api")
def index():
    return {
        "app": "numpy_api",
        "timestamp": time.time()
    }


@app.route("/api/<_x>/<_y>")
def polyfit(_x, _y):
    _sx = _x.split(",")
    _sy = _y.split(",")

    _fy = []
    _fx = []
    for item in _sx:
        _fx.append(float(item))

    for item in _sy:
        _fy.append(float(item))

    x = numpy.array(_fx)
    y = numpy.array(_fy)

    a, b = numpy.polyfit(numpy.log(x), y, 1)
    return {
        "a": a,
        "b": b
    }


if __name__ == '__main__':
    app.run(host="0.0.0.0", port=5000)
